<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:adjustViewBounds="true"
        android:scaleType="fitXY"
        android:src="@mipmap/login_bg" />
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">
        <View
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="60"/>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="48dp"
            android:layout_marginEnd="48dp"
            android:orientation="vertical">

            <android.support.v7.widget.AppCompatEditText
                android:id="@+id/login_et_account"
                style="@style/style_login_et"
                android:hint="请输入手机号"
                android:inputType="phone"
                android:maxLength="11"/>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginBottom="@dimen/content_padding"
                android:background="@color/white" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <android.support.v7.widget.AppCompatEditText
                    android:id="@+id/login_et_code"
                    style="@style/style_login_et"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:hint="请输入验证码"
                    android:inputType="number"
                    android:maxLength="6" />

                <TextView
                    android:id="@+id/login_btn_code"
                    android:layout_width="wrap_content"
                    android:layout_height="30dp"
                    android:layout_gravity="center|center_vertical"
                    android:layout_marginStart="5dp"
                    android:paddingStart="11dp"
                    android:paddingEnd="11dp"
                    android:gravity="center"
                    android:textSize="12sp"
                    android:text="@string/get_captcha"
                    android:textColor="@color/white"
                    android:background="@drawable/shape_blue_solid_rectangle_15"/>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginBottom="@dimen/content_padding"
                android:background="@color/white" />
            <android.support.v7.widget.AppCompatEditText
                android:id="@+id/login_et_scope"
                style="@style/style_login_et"
                android:visibility="gone"
                android:inputType="text"
                android:hint="请输入邀请码（非必填）"
                android:maxLength="11"/>
            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:visibility="gone"
                android:layout_marginBottom="@dimen/content_padding"
                android:background="@color/white" />
        </LinearLayout>
        <View
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="7"/>
        <TextView
            android:id="@+id/login_commit"
            android:layout_width="match_parent"
            android:layout_height="36dp"
            android:textColor="#36A5ED"
            android:layout_marginStart="48dp"
            android:layout_marginEnd="48dp"
            android:textSize="18sp"
            android:gravity="center"
            android:background="@drawable/shape_white_solid_rectangle"
            android:text="登录"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="11"/>
        <LinearLayout
            android:id="@+id/login_other_ll"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:orientation="horizontal">

            <View
                android:layout_width="10dp"
                android:layout_height="1dp"
                android:layout_gravity="center_vertical"
                android:background="@color/txt_white" />

            <ImageView
                android:id="@+id/iv_wx"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:background="@null"
                android:src="@mipmap/x_ic_login_wx" />

            <View
                android:layout_width="2dp"
                android:layout_height="2dp"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="15dp"
                android:layout_marginRight="15dp"
                android:background="@color/txt_white" />

            <ImageView
                android:id="@+id/iv_qq"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@null"
                android:src="@mipmap/x_ic_login_qq" />

            <View
                android:layout_width="10dp"
                android:layout_height="1dp"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="15dp"
                android:background="@color/txt_white" />
        </LinearLayout>
        <View
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="4"/>
        <LinearLayout
            android:id="@+id/login_agreement_ll"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="horizontal">

            <android.support.v7.widget.AppCompatCheckBox
                android:id="@+id/login_agreement_cb"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:button="@drawable/drawable_selector_check"
                android:checked="true"
                android:scaleX="1.4"
                android:scaleY="1.4" />

            <TextView
                android:id="@+id/login_agreement_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:text="我已阅读并同意《小绵羊平台用户协议》"
                android:textColor="@color/white"
                android:textSize="12sp" />
        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="5"/>
    </LinearLayout>

    <TextView
        android:id="@+id/test_change"
        style="@style/style_button_small_yellow"
        android:layout_width="wrap_content"
        android:layout_height="30dp"
        android:layout_alignParentEnd="true"
        android:layout_alignParentTop="true"
        android:layout_margin="@dimen/dp_10"
        android:paddingEnd="@dimen/dp_10"
        android:paddingStart="@dimen/dp_10"
        android:text="切换服务器"
        android:visibility="gone" />

    <TextView
        android:id="@+id/test_change_user"
        style="@style/style_button_small_yellow"
        android:layout_width="wrap_content"
        android:layout_height="30dp"
        android:layout_alignParentEnd="true"
        android:layout_below="@+id/test_change"
        android:layout_margin="@dimen/dp_10"
        android:paddingEnd="@dimen/dp_10"
        android:paddingStart="@dimen/dp_10"
        android:text="切换账号"
        android:visibility="gone" />
</RelativeLayout>
